package com.dcsoft.system.service;

import com.dcsoft.system.domain.HkPeopleRecord;
import com.dcsoft.system.uniubi.domain.HkBackRecord;

import java.util.List;

/**
 * 海康打卡记录Service接口
 *
 * @author nichun
 * @date 2023-09-27
 */
public interface IHkPeopleRecordService
{
    /**
     * 查询海康打卡记录
     *
     * @param id 海康打卡记录主键
     * @return 海康打卡记录
     */
    public HkPeopleRecord selectHkPeopleRecordById(Long id);

    /**
     * 查询海康打卡记录列表
     *
     * @param hkPeopleRecord 海康打卡记录
     * @return 海康打卡记录集合
     */
    public List<HkPeopleRecord> selectHkPeopleRecordList(HkPeopleRecord hkPeopleRecord);

    /**
     * 新增海康打卡记录
     *
     * @param hkPeopleRecord 海康打卡记录
     * @return 结果
     */
    public int insertHkPeopleRecord(HkPeopleRecord hkPeopleRecord);

    /**
     * 修改海康打卡记录
     *
     * @param hkPeopleRecord 海康打卡记录
     * @return 结果
     */
    public int updateHkPeopleRecord(HkPeopleRecord hkPeopleRecord);

    /**
     * 批量删除海康打卡记录
     *
     * @param ids 需要删除的海康打卡记录主键集合
     * @return 结果
     */
    public int deleteHkPeopleRecordByIds(Long[] ids);

    /**
     * 删除海康打卡记录信息
     *
     * @param id 海康打卡记录主键
     * @return 结果
     */
    public int deleteHkPeopleRecordById(Long id);

    public List<HkPeopleRecord>  selectHkPeopleRecordByEventId(HkPeopleRecord hkPeopleRecord);

    public int insertHkPeopleBackRecord(HkBackRecord hkBackRecord);
}
